package com.ygtx.gxt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ygtx.gxt.mapper.GxtMonthFanInspectionMapper;
import com.ygtx.gxt.domain.GxtMonthFanInspection;
import com.ygtx.gxt.service.IGxtMonthFanInspectionService;

/**
 * 月度场站风机类型工单Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
@Service
public class GxtMonthFanInspectionServiceImpl implements IGxtMonthFanInspectionService 
{
    @Autowired
    private GxtMonthFanInspectionMapper gxtMonthFanInspectionMapper;

    /**
     * 查询月度场站风机类型工单
     * 
     * @param id 月度场站风机类型工单主键
     * @return 月度场站风机类型工单
     */
    @Override
    public GxtMonthFanInspection selectGxtMonthFanInspectionById(Long id)
    {
        return gxtMonthFanInspectionMapper.selectGxtMonthFanInspectionById(id);
    }

    /**
     * 查询月度场站风机类型工单列表
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 月度场站风机类型工单
     */
    @Override
    public List<GxtMonthFanInspection> selectGxtMonthFanInspectionList(GxtMonthFanInspection gxtMonthFanInspection)
    {
        return gxtMonthFanInspectionMapper.selectGxtMonthFanInspectionList(gxtMonthFanInspection);
    }

    /**
     * 查询月度场站风机类型工单列表（用于新增）
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 月度场站风机类型工单集合
     */
    @Override
    public List<GxtMonthFanInspection> selectGxtMonthFanInspectionListByAdd(GxtMonthFanInspection gxtMonthFanInspection)
    {
        return gxtMonthFanInspectionMapper.selectGxtMonthFanInspectionListByAdd(gxtMonthFanInspection);
    }

    /**
     * 新增月度场站风机类型工单
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 结果
     */
    @Override
    public int insertGxtMonthFanInspection(GxtMonthFanInspection gxtMonthFanInspection)
    {
        return gxtMonthFanInspectionMapper.insertGxtMonthFanInspection(gxtMonthFanInspection);
    }

    /**
     * 修改月度场站风机类型工单
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 结果
     */
    @Override
    public int updateGxtMonthFanInspection(GxtMonthFanInspection gxtMonthFanInspection)
    {
        return gxtMonthFanInspectionMapper.updateGxtMonthFanInspection(gxtMonthFanInspection);
    }

    /**
     * 批量删除月度场站风机类型工单
     * 
     * @param ids 需要删除的月度场站风机类型工单主键
     * @return 结果
     */
    @Override
    public int deleteGxtMonthFanInspectionByIds(Long[] ids)
    {
        return gxtMonthFanInspectionMapper.deleteGxtMonthFanInspectionByIds(ids);
    }

    /**
     * 删除月度场站风机类型工单信息
     * 
     * @param id 月度场站风机类型工单主键
     * @return 结果
     */
    @Override
    public int deleteGxtMonthFanInspectionById(Long id)
    {
        return gxtMonthFanInspectionMapper.deleteGxtMonthFanInspectionById(id);
    }
}